Bug 4159 - Improve container error message when SEG execution fails
: Improve container error message when SEG execution fails
Status: RESOLVED FIXED
: GRAM
wsrf scheduler interface
: development
: Macintosh All
: P3 normal
: 4.0.2
Assigned To:
:
:
:
: 2266
  Show dependency treegraph
 
Reported: 2006-01-16 11:33 by
Modified: 2006-04-07 16:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-16 11:33:38
The SEG calls dlopen on the scheduler modules .  If the necessary env vars are
not set, then the seg fails 
without an adequate error message.  An error messaging indicating the problem
is needed.

This problem was discovered when a GT4 container is started without previously
sourcing 
$GLOBUS_LOCATION/globus-user-env.csh or globus-devel-env.csh.
------- Comment #1 From 2006-01-17 12:16:25 -------
Is it sufficient to record things like this

ERROR monitoring.SchedulerEventGenerator [Thread-5,run:193] SEG Terminated with
/home/bester/development/globus_4_0_branch/INSTALL/libexec/globus-scheduler-event-generator:
error while loading shared libraries:
libglobus_scheduler_event_generator_gcc32dbg.so.0: cannot open shared object
file: No such file or directory

in the container log, or do you want some user level notification (much harder)?

joe
------- Comment #2 From 2006-01-17 12:20:49 -------
Personally I'd call that sufficient. Besides, I'm not sure what operation such
a
fault would be in response to.
------- Comment #3 From 2006-01-17 13:49:40 -------
A fix to do this is committed to trunk and 4.0 branch

joe